Bug 1013567 - [RFE] rasdaemon hook for abrtd
[RFE] rasdaemon hook for abrtd
Status: NEW
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
: 1085812 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 06:52 EDT by Petr Holasek
Modified: 2018-01-29 12:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rasdaemon abrt report support patch (13.62 KB, patch)
2014-02-10 21:48 EST, Junliang Li
no flags Details | Diff

  None (edit)
Description Petr Holasek 2013-09-30 06:52:50 EDT
rasdaemon is a new daemon in Fedora [1] that is used for collecting all hardware error events reported by the Linux Kernel from several sources (EDAC, MCE, PCI, ...), so helps to handle platform Reliability, Availability and Serviceability (RAS) [2].

The main purpose of this RFE is to have connection between rasdaemon and abrtd and thus reliable and robust way for reporting and logging of hardware events.

[1] https://git.fedorahosted.org/git/rasdaemon.git
[2] http://en.wikipedia.org/wiki/Reliability,_availability_and_serviceability_%28computer_hardware%29
Comment 1 Junliang Li 2014-02-10 21:48:05 EST
Created attachment 861649 [details]
rasdaemon abrt report support patch

add ABRT report support via abrt-server .
Comment 2 Jakub Filak 2014-04-09 09:00:25 EDT
*** Bug 1085812 has been marked as a duplicate of this bug. ***
Comment 3 Tadej Janež 2015-06-04 06:41:34 EDT
Hi!

How is the rasdaemon hook for abrtd progressing?
Comment 4 Jakub Filak 2015-06-04 08:31:06 EDT
Hi!

The attached patch has been applied and the following one too:

commit d7453479e96693ebb5e17b285adf915b67095aad
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Apr 2 15:03:44 2014 +0200

    Correct ABRT report data
    
    Remove '\0' byte from 'PUT' message because this was superfluous.
    
    Replaced 'BASENAME' item with 'TYPE' item because the first one is no
    longer supported by abrtd and the second one is required. Basically the
    later is a substitute for the first one.
    
    Removed the closing message which is not supported by abrtd. abrtd
    considers that message as a part of the problem report.
    
    Removed a superfluous space from 'Backtrace'.
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Mauro Carvalho Chehab <m.chehab@samsung.com>


so the rasdaemon should be able to report MCEs to ABRT, but it would be nice if someone could verify it.

Note You need to log in before you can comment on or make changes to this bug.